<?php
/*
 /////////////////// DISCLAIMER ///////////////////////////
 THIS EXAMPLE CODE IS PROVIDED TO YOU ONLY ON AN "AS IS"
 BASIS WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION
 ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT,
 MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
 PAYPAL MAKES NO WARRANTY THAT THE SOFTWARE OR
 DOCUMENTATION WILL BE ERROR-FREE. IN NO EVENT SHALL THE
 COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY
 DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
 USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 ////////////////////////////////////////////////////////////
 */

//Print all errors
error_reporting(E_ALL);
ini_set("display_errors", 1);

//Get the access token from the session
$accessToken = $_SESSION['accessToken'];

//Get the order id from the session
$orderId = $_SESSION['orderId'];

//Get the order id from the session and if none exists then use default
//$referenceId = $_SESSION['referenceId'];
$referenceId = 'default';


//Initiate CURL and set the url endpoint
$ch = curl_init();
$url = "https://api.sandbox.paypal.com/v2/checkout/orders/$orderId";
curl_setopt($ch, CURLOPT_URL, $url);

curl_setopt($ch, CURLOPT_SSLVERSION, CURL_SSLVERSION_TLSv1_2);

//Should to be set to true for security
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);
//Should be set to 2 for security
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);

//Cert can be generated through mozilla firefox and is used when implementing security for VERIFYPEER and VERIFYHOST in the above
//curl_setopt($ch, CURLOPT_CAINFO, '/var/www/html/Example_REST_ECS/cert/cacert.pem');

//Set the required headers
$headers = array(
    'Accept: application/json',
    'Content-Type: application/json',
    "Authorization: Bearer $accessToken"
);
curl_setopt($ch,CURLOPT_HTTPHEADER,$headers);

//Let CURL know that we are using the PATCH method
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'PATCH');

//Keep connection open until we get data back
curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);

//Specify we want to change the payee email of the payment
$vars['op'] = 'replace';
$vars['path'] = "/purchase_units/@reference_id=='$referenceId'/payee/email_address";
$vars['value'] = 'david_uk_seller@fake.com';

//Build and set the json request
$json = json_encode(array($vars));

curl_setopt($ch, CURLOPT_POSTFIELDS, $json);

//Get the response back
$response = curl_exec($ch);


// //parse json into object
// $outArray = json_decode($response, true);

// echo "<pre>";
// print_r($outArray);
// echo "</pre></br>";

//Close the connection
curl_close($ch);


